Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Texthintergrund ändern

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  Texthintergrund ändern (295 mal gelesen)
SpangMD
Mitglied
Vermessungstechniker


Sehen Sie sich das Profil von SpangMD an!   Senden Sie eine Private Message an SpangMD  Schreiben Sie einen Gästebucheintrag für SpangMD

Beiträge: 14
Registriert: 18.02.2020

AutoCAD 2023 MAP 3D

erstellt am: 18. Aug. 2022 21:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


ScreenShot_186.jpg

 
Hallo Leute,

ich habe mal wieder ein Problem. Ich muss in ganz vielen DWGs die MTexte mit einem Hintergrund versehen und suche nach eine Möglichkeit das mit einem Klick zu machen, leider Fehlanzeige. Hat jemand eine Lösung (Befehl / Lisp)?

Schöne Grüße

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Meldin
Mitglied



Sehen Sie sich das Profil von Meldin an!   Senden Sie eine Private Message an Meldin  Schreiben Sie einen Gästebucheintrag für Meldin

Beiträge: 375
Registriert: 15.07.2011

ACA2020
Windows10

erstellt am: 19. Aug. 2022 08:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für SpangMD 10 Unities + Antwort hilfreich

Alle wählen StRG+1 da Texthintergrund suchen einstellen und fertig

------------------
Gruß Wolfgang

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Entsorger01
Moderator
Techniker




Sehen Sie sich das Profil von Entsorger01 an!   Senden Sie eine Private Message an Entsorger01  Schreiben Sie einen Gästebucheintrag für Entsorger01

Beiträge: 3237
Registriert: 07.07.2006

ACAD 2021
Acrobat Prof.
Creative Suite
WIN10

erstellt am: 19. Aug. 2022 08:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für SpangMD 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Meldin:
Alle wählen StRG+1 da Texthintergrund suchen einstellen und fertig


Zitat:
... in ganz vielen DWGs
 

------------------
Gruß

Michi

""Mögen hätt ich schon wollen, aber dürfen hab ich mich nicht getraut."
Karl Valentin

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Meldin
Mitglied



Sehen Sie sich das Profil von Meldin an!   Senden Sie eine Private Message an Meldin  Schreiben Sie einen Gästebucheintrag für Meldin

Beiträge: 375
Registriert: 15.07.2011

ACA2020
Windows10

erstellt am: 19. Aug. 2022 08:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für SpangMD 10 Unities + Antwort hilfreich

Ein Lisp aufrufen ist nur geringfügig unaufwendiger.
Aber in einer schleife, geht das.
Code:
(setq AWS (car(entsel)))
(setpropertyvalue AWS "BackgroundFill"  1 )
(setpropertyvalue AWS "BackgroundFillColor" 2 )
(setpropertyvalue AWS "BackgroundScaleFactor" 5.000000)

------------------
Gruß Wolfgang 

[Diese Nachricht wurde von Meldin am 19. Aug. 2022 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 21271
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 19. Aug. 2022 08:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für SpangMD 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von SpangMD:
Ich muss in ganz vielen DWGs
Suche dir einen (und mit der Zeit Viele) allgemein anwendbare Lösungen um einen Prozess in mehreren Dateien ausführen zu lassen
Suche zB. nach: AutoCAD Batch    
Aber zunächst: Suche die Lösung welche komplett in der Befehlszeile funktioniert für EINE Datei, danach kommt das Thema "Batch".

die MTexte mit einem Hintergrund versehen und suche nach eine Möglichkeit das mit einem Klick zu machen,
Mit einem Klick gibt es in AutoCAD keine Funktion, auch über ein Menümakro ist es nicht möglich, also bleibt nur ein Zusatzprogramm.

Hat jemand eine Lösung (Befehl / Lisp)?
Es hat immer jemand eine Lösung, die Frage ist ob diese öffentlich ist und ob du diese findest


Ich habe für dich gegoogelt mit der Anfrage: mtext background lisp
eines der ersten Lösung war dieses hier: http://www.lee-mac.com/mask.html
Du könntest dann laut der Dokumentation nach dem Laden der Datei per APPLOAD
folgenden Ausdruck benutzen: (mask:maskselection (ssget "_X" '((0 . "MTEXT"))) T 1.2 T nil)



Ich habe auch schon ein zweites Mal gegoogelt und wieder einen Volltreffer gelandet,
aber ich warte zunächst deine Frage danach ab (falls diese wie erwartet kommt).

  

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

SpangMD
Mitglied
Vermessungstechniker


Sehen Sie sich das Profil von SpangMD an!   Senden Sie eine Private Message an SpangMD  Schreiben Sie einen Gästebucheintrag für SpangMD

Beiträge: 14
Registriert: 18.02.2020

AutoCAD 2023 MAP 3D

erstellt am: 19. Aug. 2022 09:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

-->>> aber ich warte zunächst deine Frage danach ab (falls diese wie erwartet kommt)

hehe, natürlich kommt sie.

habe die lisp angelegt
(defun c:mask nil
    (mask:maskselection (mask:selection "\nSelect objects: ") t 1.2 t nil)
    (princ)
)

und wenn ich den Befehl "mask" aufrufe kommt dieser Fehler "no function definition: MASK:SELECTION"

starte ich diesen Befehlsaufruf "(mask:maskselection (ssget "_X" '((0 . "MTEXT"))) T 1.2 T nil)" kommt dieser Fehler "no function definition: MASK:MASKSELECTION"

Was mach ich falsch? Dazu muss ich noch sagen das mein Englisch sehr schlecht ist.

Gruß Michael


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

SpangMD
Mitglied
Vermessungstechniker


Sehen Sie sich das Profil von SpangMD an!   Senden Sie eine Private Message an SpangMD  Schreiben Sie einen Gästebucheintrag für SpangMD

Beiträge: 14
Registriert: 18.02.2020

AutoCAD 2023 MAP 3D

erstellt am: 19. Aug. 2022 09:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Supi, das hier von Wolfgang

(defun c:hti nil
(setq AWS (car(entsel)))
(setpropertyvalue AWS "BackgroundFill"  1 )
(setpropertyvalue AWS "BackgroundFillColor" 2 )
(setpropertyvalue AWS "BackgroundScaleFactor" 1.2)
)

Lisp erstellt, auf einem Button den Befehl "hti" gelegt und mit einem Klick funktioniert alles.


Wolfgang, vielen herzlichen Dank und natürlich all den anderen.


Gruß Michael

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 21271
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 19. Aug. 2022 09:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für SpangMD 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von SpangMD:
hehe, natürlich kommt sie.
Nein, das gehört noch zur ersten Frage, ich warte noch auf eine andere  
habe die lisp angelegt
Die Frage ist warum, aber okay - kann man ja machen.
(defun c:mask nil
    (mask:maskselection (mask:selection "\nSelect objects: ") t 1.2 t nil)
    (princ)
)

und wenn ich den Befehl "mask" aufrufe kommt dieser Fehler "no function definition: MASK:SELECTION"
starte ich diesen Befehlsaufruf "(mask:maskselection (ssget "_X" '((0 . "MTEXT"))) T 1.2 T nil)" kommt dieser Fehler "no function definition: MASK:MASKSELECTION"
Was mach ich falsch?
weder das eine noch das andere sind native AutoCAD- oder Lispfunktionen, du hast ganz einfach die Lispdatei in welcher diese Funktionen definert werden nicht geladen in der Datei


Zitat:
cadffm: Du könntest dann laut der Dokumentation nach dem Laden der Datei per APPLOAD
folgenden Ausdruck benutzen: (mask:maskselection (ssget "_X" '((0 . "MTEXT"))) T 1.2 T nil)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 21271
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 19. Aug. 2022 10:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für SpangMD 10 Unities + Antwort hilfreich

Batch: Fang doch mal mit Autodesks ScriptPro an,
das kennen viele und ist aus guter Quelle.
https://knowledge.autodesk.com/support/autocad/troubleshooting/caas/downloads/content/autodesk-customization-conversion-tools.html
Falls du nichts installieren kannst/darfst, suche nach: Batch SCC2

Es funktioniert wie der Großteil dieser Batch-Möglichkeiten:
Man schreibt ein einfaches SCRIPT (Datei *.scr mit einer Folge von Befehlszeileneingaben)
und das Programm führt das Script in vielen Dateien aus.

Schonmal ein Script geschrieben?
Beispiel hier: https://www.swisstransfer.com/d/c4e38783-7c11-4102-a1de-7184ba9803f4
Befehl: SCRIPT oder kurz SR
Script erstellt
einen Kreis und zoomt darauf,
speichert anschließend NICHT
 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2022 CAD.de | Impressum | Datenschutz